Package org.apache.sling.starter.testservices.post

# Class OldStylePostOperationExample

java.lang.Object
org.apache.sling.starter.testservices.post.OldStylePostOperationExample

All Implemented Interfaces:
  `org.apache.sling.servlets.post.SlingPostOperation`

public class OldStylePostOperationExample extends Object implements org.apache.sling.servlets.post.SlingPostOperation
Example using the now deprecated SlingPostOperation

## Field Summary

### Fields inherited from interface org.apache.sling.servlets.post.SlingPostOperation

`PROP_OPERATION_NAME, SERVICE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`OldStylePostOperationExample()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.servlets.HtmlResponse response, org.apache.sling.servlets.post.SlingPostProcessor[] processors)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OldStylePostOperationExample

public OldStylePostOperationExample()

## Method Details

### run

public void run(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.servlets.HtmlResponse response, org.apache.sling.servlets.post.SlingPostProcessor[] processors)

Specified by:
  `run` in interface `org.apache.sling.servlets.post.SlingPostOperation`